package com.educoder.bridge.model;

import com.jcraft.jsch.ChannelShell;
import org.springframework.web.socket.WebSocketSession;

import java.io.OutputStream;

public class SSHSession {
    private WebSocketSession webSocketSession;
    private OutputStream outputStream;
    private ChannelShell channel;
    private SSHInfo SSHInfo;

    public SSHInfo getSSHInfo() {
        return SSHInfo;
    }

    public void setSSHInfo(SSHInfo SSHInfo) {
        this.SSHInfo = SSHInfo;
    }

    public ChannelShell getChannel() {
        return channel;
    }

    public void setChannel(ChannelShell channel) {
        this.channel = channel;
    }

    public WebSocketSession getWebSocketSession() {
        return webSocketSession;
    }

    public void setWebSocketSession(WebSocketSession webSocketSession) {
        this.webSocketSession = webSocketSession;
    }

    public OutputStream getOutputStream() {
        return outputStream;
    }

    public void setOutputStream(OutputStream outputStream) {
        this.outputStream = outputStream;
    }
}
